package rocks.zipcode.atm.bank;

/**
 * @author ZipCodeWilmington
 */
public final class AccountData {

    private final int id;
    private final String name;
    private final String email;

    private final int balance;
    // private final String password;

    AccountData(int id, String name, String email, int balance) {
        this.id = id;
        this.name = name;
        this.email = email;
        this.balance = balance;
    }

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getEmail() {
        return email;
    }

    public int getBalance() {
        return balance;
    }

    // public String getPassword() {return password;}

    @Override
    public String toString() {
        return "Hello " + name + "!" + '\n' + '\n' +
                "Account ID: " + id + '\n' +
                "E-mail: " + email + '\n' +
                "Current Balance: " + balance;
    }

}
